import { jsx } from "react/jsx-runtime";
import { TokenPSL as TokenPSL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPSL = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PSL", "data-name": "TokenPSL", ...props, children: /* @__PURE__ */ jsx(TokenPSL$1, { variant }) });
  }
);
TokenPSL.displayName = "TokenPSL";
Object.assign(TokenPSL, { isGdsIcon: true });
export {
  TokenPSL
};
